# Class TreeEdge`Unindexed`

GoJS® Diagramming Components
version 3.0.7
by Northwoods Software®

#### Hierarchy

- LayoutEdge
  - TreeEdge

This holds TreeLayout-specific information about Links.

This class inherits from LayoutEdge.

#####
Index

### Constructors

constructor

### Accessors

fromVertex
relativePoint
toVertex

### Methods

commit

#####
Inherited Index

### Accessors

LayoutEdge.data
LayoutEdge.link
LayoutEdge.network

### Methods

LayoutEdge.getOtherVertex

## Constructors

### constructor

- new TreeEdge(network: TreeNetwork): TreeEdge

- #### Parameters

  - ##### network: TreeNetwork

  #### Returns TreeEdge

## Accessors

### fromVertex
: TreeVertex

- Gets or sets the LayoutVertex that this edge comes from. Setting this property does not change any LayoutVertex.destinationEdges collection.

### relativePoint
: Point

- Gets or sets a Point, relative to the parent node, that may be useful in routing this link.

### toVertex
: TreeVertex

- Gets or sets the LayoutVertex that this edge goes to. Setting this property does not change any LayoutVertex.sourceEdges collection.

## Methods

### `Override` commit

- commit(): void

- Commits the position of the Link and routes it.

  #### Returns void

Copyright © 1998-2024 by Northwoods Software Corporation.